Bug 114464 - named - log in file - cant open - starts and runs
named - log in file - cant open - starts and runs
Product: Red Hat Linux
Classification: Retired
Component: bind (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2004-01-28 09:15 EST by Ales Ledvinka
Modified: 2007-04-18 13:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-06-24 14:15:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ales Ledvinka 2004-01-28 09:15:54 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.5)
Gecko/20031007 Firebird/0.7

Description of problem:
named.conf with
logging {
        category "default" {
                "vse"; "syslog";
        channel "vse" {
                file "/var/log/vse"
                versions 16
                size 10m;
                severity debug;
        channel "syslog" {
                syslog daemon;
                severity dynamic;

will fail to open because of
drwxr-xr-x    2 root     named        4096 Jan 28 14:56

Jan 28 14:03:25 www named[16446]: starting BIND 9.2.1 -u named -t
Jan 28 14:03:25 www named[16446]: logging channel 'vse' file
'/var/log/vse': permission denied
Jan 28 14:03:25 www named[16446]: running
Jan 28 15:03:26 www named: named startup succeeded

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.up2date -i named
2.edit named.conf as described
3.create /var/named/var/log with described permissions
4.service named start

Actual Results:  named starts up

Expected Results:  named should fail.
because it is not logging something as expected.

Additional info:

in case of fixing this to make named fail to start see also
bug #114461

because fixing named will most probably result in another bug - low
priority bug in named-checkconf
Comment 1 Daniel Walsh 2004-06-24 14:15:33 EDT
Looks like this is the way it is designed.  You will have to take it
up with the upstream maintainers.

	if (result == ISC_R_SUCCESS && type == ISC_LOG_TOFILE) {
		FILE *fp;
		 * Test that the file can be opened, since isc_log_open()
		 * can't effectively report failures when called in
		 * isc_log_doit().
		result = isc_stdio_open(dest.file.name, "a", &fp);
		if (result != ISC_R_SUCCESS)
			isc_log_write(ns_g_lctx, CFG_LOGCATEGORY_CONFIG,
				      "logging channel '%s' file '%s': %s",
				      channelname, dest.file.name,

		 * Allow named to continue by returning success.
		result = ISC_R_SUCCESS;

Note You need to log in before you can comment on or make changes to this bug.